<?php

The following is a very simple example of a TCPServerHTTPd subclass.

require_once(dirname(__FILE__).'/class_TCPServerHTTPd.php');

class SampleHTTPd extends TCPServerHTTPd {

function SampleHTTPd() {
}

function initialize() {
parent::initialize();
$this->server_name = 'SampleHTTPd';
$this->server_version = '1.0';
$this->content_type = 'text/plain';
$this->document_root = dirname(__FILE__).'/htdocs/';
}

function handle_request($uri) {
if ($uri=='/time_of_day.html') {
// send an HTTP 200 OK response and send all headers
$this->send_headers(200);

$time = date('Y-m-d H:ia');
$this->_write_socket("<html><body>The time of day is: <strong>$time</strong></body></html>");
} else {
$this->serve_document_root($uri);
}
}
}


Requesting http://<your_server_ip>/time_of_day.html will display the current
time of day.  Requesting any other URL will serve the appropriate file from
the htdocs/ subdirectory, or return a 404 Not Found error.


?>
